%def_disable static

Name: libcddb
Version: 1.3.0
Release: alt1

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: Libcddb is a C library to access data on a CDDB server
License: GPL
Group: System/Libraries
Url: http://libcddb.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2

#BuildPreReq: kernel-headers-std26-up

%if_enabled static
# Automatically added by buildreq on Wed Nov 30 2005
BuildRequires: glibc-devel-static
%endif
BuildRequires: cvs gcc-c++ gcc-g77 libcdio-devel libg2c-devel libstdc++-devel pkg-config

%description
Libcddb is a C library to access data on a CDDB server (freedb.org).
It allows to:
1. search the database for possible CD matches
2. retrieve detailed information about a specific CD
3. submit new CD entries to the database

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package devel-static
Summary: Static version of %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains the libraries to develop applications statically
linked against %name.

%package examples
Summary: Simple application that use %name
Group: Development/C
Requires: %name = %version-%release

%description examples
This package contains the cddb_query is a simple app that use %name.

%prep
%setup -q
autoreconf -fisv

%build
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

%make -C examples clean
%__rm -rf examples/{.deps,Makefile}

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog NEWS THANKS README

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files examples
%_bindir/*
%doc examples

%changelog
* Thu Oct 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.0-alt1
- 1.3.0 release.

* Wed May 31 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt1.1
- Rebuild with libcdio.so.7 .

* Wed Nov 30 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.2.1-alt1
- 1.2.1 release.

* Thu Feb 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.4-alt2
- do not build devel-static subpackage by default.
- subpackage with examples.
- restored changelog from orphaned package.

* Thu Jun 5 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Mon May 19 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Fri Apr 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Mon Apr 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.1-alt1
- First version of RPM package.

